---
title: TreeWalker.currentNode
slug: Web/API/TreeWalker/currentNode
tags:
  - API
  - DOM
  - Property
  - TreeWalker
---
<p>{{ APIRef("DOM") }}</p>

<p>The <code><strong>TreeWalker.currentNode</strong></code> property represents the {{domxref("Node")}} on which the {{domxref("TreeWalker")}} is currently pointing at.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>node</em> = <em>treeWalker</em>.currentNode;
<code><em>treeWalker</em></code>.currentNode = <em>node</em>;
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">var treeWalker = document.createTreeWalker(
    document.body,
    NodeFilter.SHOW_ELEMENT,
    { acceptNode: function(node) { return NodeFilter.FILTER_ACCEPT; } },
    false
);
root = treeWalker.currentNode; // the root element as it is the first element!
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-treewalker-currentnode', 'TreeWalker.currrentNode')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>No change from {{SpecName('DOM2 Traversal_Range')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Traversal_Range', 'traversal.html#Traversal-TreeWalker-currentNode', 'TreeWalker.currentNode')}}</td>
   <td>{{Spec2('DOM2 Traversal_Range')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.TreeWalker.currentNode")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("TreeWalker")}} interface.</li>
</ul>
